## TIE / TICK

# finds tnt items that haven't already been found and tags them
execute as @e[type=item,tag=!scanned,nbt={Item:{id:"minecraft:tnt"}}] run tag @s add tnt_item

# adds the "scanned" tag to all item entities so that they don't create too much lag
tag @e[type=item] add scanned


## FSH (Derived from my DataUtils pack)

# Sets the value to 20 for all tagged tnt item entities that haven't started their countdowns yet
scoreboard players set @e[type=item,tag=tnt_item,tag=!tie_already_done] tie_fsh_data 20

# Adds the "tie_already_done" tag to the tnt item entities so that they are only set to 20 once
execute as @e[type=item,tag=tnt_item,tag=!tie_already_done] run tag @s add tie_already_done

# Subtracts 1 from the value if it's equal to or greater than 0
execute as @e[type=item,tag=tnt_item] if score @s tie_fsh_data >= 0 svl_value run scoreboard players operation @s tie_fsh_data -= 1 svl_value

# Triggers the explosion if it has been 20 ticks since the countdown started 
execute as @e[type=item,tag=tnt_item] if score @s tie_fsh_data = 0 svl_value run function tie:explode

# Kills the tnt item entity since the data is no longer needed
execute as @e[type=item,tag=tnt_item] run execute if score @s tie_fsh_data = -1 svl_value run kill @s